Create Messages For Session
curl --request POST \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/sessions/{session_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>",
"peer_id": "<string>",
"metadata": {},
"configuration": {
"reasoning": {
"enabled": true,
"custom_instructions": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/sessions/{session_id}/messages"
payload = { "messages": [
{
"content": "<string>",
"peer_id": "<string>",
"metadata": {},
"configuration": { "reasoning": {
"enabled": True,
"custom_instructions": "<string>"
} },
"created_at": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
content: '<string>',
peer_id: '<string>',
metadata: {},
configuration: {reasoning: {enabled: true, custom_instructions: '<string>'}},
created_at: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"content": "<string>",
"peer_id": "<string>",
"session_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workspace_id": "<string>",
"token_count": 123,
"metadata": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}messages
Create Messages For Session
Add new message(s) to a session.
POST
/
v3
/
workspaces
/
{workspace_id}
/
sessions
/
{session_id}
/
messages
Create Messages For Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Schema for batch message creation with a max of 100 messages
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I